﻿Tridion.Type.registerNamespace("SDL.Web.UI.Models.PublicationMappings");

/**
 * Represents a List of Web Applications.
 * @namespace {SDL.Web.UI.Models.PublicationMappings}
 * @constructor
 * @param {String} parentId The parent item's Id.
 * @param {Tridion.ContentManager.ListFilter} filter The List Filter.
 */
SDL.Web.UI.Models.PublicationMappings.ListWebApplications = function PublicationMappings$ListWebApplications(parentId, filter)
{
	Tridion.OO.enableInterface(this, "SDL.Web.UI.Models.PublicationMappings.ListCdTopologyTypes");
	this.addInterface("Tridion.ContentManager.List", [parentId, filter]);
};

SDL.Web.UI.Models.PublicationMappings.ListWebApplications.prototype.executeLoadList = function PublicationMappings$ListWebApplications$executeLoadList(parentId, filter, success, failure)
{
	sdl.Web.UI.PublicationMappings.Model.Services.TopologyMappingsService.GetWebApplications(filter.conditions.environmentIds, filter.conditions.purpose, success, failure);
};