﻿using System.Collections.Generic;
using System.Xml;
using System.Xml.Linq;
using SDL.Web.UI.PublicationMappings.Model.Services.DTOs;

namespace SDL.Web.UI.PublicationMappings.Model.Services.Interfaces
{
    public interface ITopologyMappings
    {
        void UpdateMappings(XmlDocument mappingsXml);
        XElement GetMappingsXml(string publicationId);
        IEnumerable<TopologyMapping> GetMappings();
        XmlNamespaceManager XmlNamespaceManager { get; }
    }
}