﻿Tridion.Type.registerNamespace("SDL.Web.UI.PublicationMappings.Controls");

SDL.Web.UI.PublicationMappings.Controls.MappingsTab = function MappingsTab(element) {
    Tridion.OO.enableInterface(this, "SDL.Web.UI.PublicationMappings.Controls.MappingsTab");
    this.addInterface("Tridion.Web.UI.Core.Controls.DeckPageWithCatalinaView", [element]);
};

SDL.Web.UI.PublicationMappings.Controls.MappingsTab.prototype.getClassNames = function MappingsTab$getClassNames() {
    var classNames = this.callBase("Tridion.Web.UI.Core.Controls.DeckPageWithCatalinaView", "getClassNames");
    classNames.push("mappingsTab");
    return classNames;
};

SDL.Web.UI.PublicationMappings.Controls.MappingsTab.prototype.getItem = function MappingsTab$getItem() {
	return $display.getItem();
};

SDL.Web.UI.PublicationMappings.Controls.MappingsTab.prototype.getCatalinaViewName = function MappingsTab$getCatalinaViewName() {
    return "SDL.Web.UI.PublicationMappings.Tabs.Mappings";
};

SDL.Web.UI.PublicationMappings.Controls.MappingsTab.prototype.addEventHandlersToCatalinaView = function MappingsTab$addEventHandlersToCatalinaView() {
    var catalinaView = this.properties.catalinaView;

    //SDL.Client.Event.EventRegister.addEventHandler(catalinaView, "cancel", this.getDelegate(function onCancel(event) {
    //    this.fireEvent("cancel", event.data);
    //}));

    //SDL.Client.Event.EventRegister.addEventHandler(catalinaView, "repaint", this.getDelegate(function onRepaint(event) {
    //    this.fireEvent("repaint", event.data);
    //}));

    //SDL.Client.Event.EventRegister.addEventHandler(catalinaView, "submit", this.getDelegate(function onPromote(event) {
    //    this.fireEvent("submit", event.data);
    //}));
};

SDL.Web.UI.PublicationMappings.Controls.MappingsTab.prototype.setParentControl = function MappingsTab$setParentControl(control) {
	this.callBase("Tridion.Controls.DeckPage", "setParentControl", [control]);

	var publication = this.getItem();

	$evt.addEventHandler(publication, "load", this.getDelegate(this._updateVisibility));

	if (publication.isLoaded()) {
		this._updateVisibility();
	}
};

SDL.Web.UI.PublicationMappings.Controls.MappingsTab.prototype._updateVisibility = function MappingsTab$_updateVisibility() {
    var tabControl = this.getParentControl();

    var publication = this.getItem();
    var isNew = publication.isNew();

    if (isNew) {
    	tabControl.hideItem(this);
    } else {
    	tabControl.showItem(this);
    }
};

SDL.Web.UI.PublicationMappings.Controls.MappingsTab.prototype.disposeInterface = Tridion.OO.nonInheritable(function SDL$Web$UI$PublicationMappings$Controls$MappingsTab$disposeInterface() {
	if (this.isInitialized()) {
		var publication = this.getItem();
		if (publication) {
			$evt.removeEventHandler(publication, "load", this.getDelegate(this._updateVisibility));
		}
	}
});

Tridion.Controls.Deck.registerPageType(SDL.Web.UI.PublicationMappings.Controls.MappingsTab, "MappingsTab");