﻿/// <reference path="../../../../SDL/TypeScript/SDL.Client.UI.Core.Knockout/BindingHandlers/KnockoutBindingHandlers.d.ts" />
/// <reference path="../../../../SDL/TypeScript/SDL.Client.UI.Core/Views/ViewBase.d.ts" />

module SDL.Web.UI.PublicationMappings.Tabs {

    eval(SDL.Client.Types.OO.enableCustomInheritance);
    export class Mappings extends SDL.UI.Core.Views.ViewBase {

        private _model: ViewModels.Mappings;

		constructor(element: HTMLElement, settings?:any) {
			super(element, settings);

            this._model = new ViewModels.Mappings();
        }

        public getRenderOptions() {
            return this._model;
        }
    };

    Mappings.prototype.disposeInterface = SDL.Client.Types.OO.nonInheritable(function Mappings$disposeInterface() {
		this._model.dispose();
		this._model = null;
    });

    SDL.Client.Types.OO.createInterface("SDL.Web.UI.PublicationMappings.Tabs.Mappings", Mappings);
}