﻿(function ()
{
	var originalListFilterEqual = Tridion.ContentManager.ListFilter.prototype.equal;
	Tridion.ContentManager.ListFilter.prototype.equal = function PublicationMappings$ListFilter$equal(filter)
	{
		var filter1Cond = this.conditions;
		var filter2Cond = filter.conditions;

		return (
			originalListFilterEqual.call(this, filter) &&
			Tridion.Utils.Array.areEqual(filter1Cond.environmentIds || [], filter2Cond.environmentIds || []) &&
			filter1Cond.purpose == filter2Cond.purpose &&
			filter1Cond.topologyTypeId == filter2Cond.topologyTypeId &&
			Tridion.Utils.Array.areEqual(filter1Cond.webApplicationIds || [], filter2Cond.webApplicationIds || []));
	};
})();